System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

A is a data structure that provides storage for instances of the class, and which is accessed in a database-like manner. The has a capacity limit that is set when the container is created or changed by a property.

An instance of the class is added to the container based on its originating URI. It is added to an internal associated with the URI. A is retrieved from the container based on the URI as a , or as a string that can be used to submit HTTP WebRequests.

The has three properties that govern the volume of the content of the container: , , and . These values have the default settings of 300, 4096, and 20 respectively. When a is added to the container, these properties are used to determine whether a already contained in the should be discarded to make room for the new one. The keeps track of each addition to ensure that neither the nor the limits are exceeded. If one or both are exceeded, then instances held by the are removed. First, any expired is removed. If further capacity must be recaptured, then the least-recently used is purged.

Provides a container for a collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The default constructor initializes all fields to their default values. is used to initialize , is used for , and is used for .

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  is initialized to 20, and is initialized to 4096.

  Initializes a new instance of the class with a specified value for the number of instances that the container can hold.

  The number of instances that the can hold.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameters specify values for , , and .

  Initializes a new instance of the class with specific properties.

  The number of instances that the can hold.
  The number of instances per domain.
  The maximum size in bytes for any single in a .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the property equals or exceeds the property, one or more instances are removed from the container before adding the parameter. Enough instances are removed to bring below as follows: if there are expired instances in the given scope, they are cleaned up. If not, then the least recently used is found and removed from the container.

  Adds a to a . This method uses the domain from the to determine which domain collection to associate the with.

  The to be added to the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the property equals the property, one or more instances are removed from the container before adding the contents of the parameter. Enough instances are removed to make room for as follows: if there are expired instances, they are cleaned up. If not, or if more room is needed, then the least recently used is found and removed from the container.

  Adds the contents of a to the .

  The to be added to the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If you add a instance for just one specific host, do not set the property of the instance. This is set automatically, based on the URI.

  If your URI corresponds to your local domain and sends to all the hosts on the local domain, set the property equal to ".local". Otherwise, make sure it matches the host name used in the URI.

  If the property of a is Netscape, the property of the , if not set explicitly, is derived from the URI and is the complete path from the URI, including the page name.

  If the property equals the property, one or more instances are removed from the container before adding the parameter. Enough instances are removed to bring below as follows: if there are expired instances in scope, they are cleaned up. If not, then the least recently used is found and removed from the container.

  Adds a to the for a particular URI.

  The URI of the to be added to the . The to be added to the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If you add a instance for just one specific host, do not set the property of the instance. This is set automatically, based on the URI.

  If your URI corresponds to your local domain and sends to all the hosts on the local domain, set the property equal to ".local". Otherwise, make sure it matches the host name used in the URI.

  If equals , one or more instances is removed from the container before adding the parameter. Enough instances are removed to bring below as follows: if there are expired instances in scope they are cleaned up. If not, then the least recently used is found and removed from the container.

  Adds the contents of a to the for a particular URI.

  The URI of the to be added to the . The to be added to the .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  If equals or exceeds , one or more instances are removed from the container. Enough instances are removed to bring below as follows: if there are expired instances in scope, they are cleaned up. If not, then the least recently used is found and removed from the container.

  must be greater than or equal to .

  Gets and sets the number of instances that a can hold.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  The default value of this property is . If equals or exceeds , one or more instances are removed from the container. Enough instances are removed to bring below as follows: if there are expired instances in scope, they are cleaned up. If not, then the least recently used is found and removed from the container.

  Gets the number of instances that a currently holds.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 4096

  The default maximum size is 4096.

  Represents the default maximum size, in bytes, of the instances that the can hold. This field is constant.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 300

  The default maximum number of instances is 300.

  Represents the default maximum number of instances that the can hold. This field is constant.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 20

  The default maximum number of instances per domain is 20.

  Represents the default maximum number of instances that the can reference per domain. This field is constant.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  returns a string that holds the HTTP cookie header for the instances specified by . The HTTP header is built by adding a string representation of each associated with . Note that the exact format of the string depends on the RFC that the conforms to. The strings for all the instances that are associated with are combined and delimited by semicolons.

  This string is not in the correct format for use as the second parameter of the method.

  Gets the HTTP cookie header that contains the HTTP cookies that represent the instances that are associated with a specific URI.

  An HTTP cookie header, with strings representing instances delimited by semicolons.

  The URI of the instances desired.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.CookieCollection ``

  A new instance of a is created. Then the instances in the internal collection that are associated with the specified URI are read out and added to the new .

  Gets a that contains the instances that are associated with a specific URI.

  A that contains the instances that are associated with a specific URI.

  The URI of the instances desired.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  If the new value of is less than the current value, any with a length that exceeds the new value will be truncated.

  Represents the maximum allowed length of a .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  If the new value is less than the current value, and if any of the domain collections contain more instances than the new value, the collections are pruned to fit. This uses the same basic rules as described in the property. However, this does the clean-up only on the collection for this domain.

  Gets and sets the number of instances that a can hold per domain.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  pulls all the HTTP cookies out of the HTTP cookie header, builds a for each one, and then adds each to the internal that is associated with the URI. The HTTP cookies in the string must be delimited by commas.

  Adds instances for one or more cookies from an HTTP cookie header to the for a specific URI.

  The URI of the . The contents of an HTTP set-cookie header as returned by a HTTP server, with instances delimited by commas.